Package org.apache.sling.commons.metrics

# Interface Timer.Context

All Superinterfaces:
  `AutoCloseable`, `Closeable`

Enclosing interface:
  Timer

public static interface Timer.Context extends Closeable
A timing context.

See Also:
  - `Timer.time()`

## Method Summary

Modifier and Type
Method
Description
`long`
`stop()`
Updates the timer with the difference between current and start time.

### Methods inherited from interface java.io.Closeable

`close`

## Method Details

### stop

long stop()
Updates the timer with the difference between current and start time. Call to this method will not reset the start time. Multiple calls result in multiple updates.

Returns:
  the elapsed time in nanoseconds